Subject: bug#54119: 29.0.50; Edebug: Jumping commands in recursive definitions

From: Michael Heerdegen <[email-masked]>
Date: Sat, 26 Feb 2022 05:20:56 +0100

Michael Heerdegen <[email-masked]> writes:

> Seems to do the job.

Let me add: if you wonder why I don't just add a new variable and make
the behavior of `edebug-slow-after' depend on the value, and then just
change the binding in `edebug-forward-sexp': that would not work because
it would also change the behavior of the outer `edebug-slow-after' calls
"we are already in".  We would get more or less go-nonstop: everything
would unwind up to the top.  Remember: we can't just let-bind that
variable since we are in a recursive edit and the jumping commands
immediately terminate.  We can only set it, and then edebug just goes
nonstop.

My approach only works because the "outer" `edebug-slow-after' calls are
unaffected and still stop.  So I think must we must mess with function
bindings - or use a different approach.

Michael.